snd_rawmidi_transmit
Prev | Chapter 22. Sound Devices | Next

## Name

snd_rawmidi_transmit — copy from the buffer to the device

## Synopsis

`int snd_rawmidi_transmit (` | struct snd_rawmidi_substream * | substream,
| unsigned char * | buffer,
| int | count`)`;

## Arguments

`substream`

  the rawmidi substream

`buffer`

  the buffer pointer

`count`

  the data size to transfer

## Description

Copies data from the buffer to the device and advances the pointer.

Returns the copied size if successful, or a negative error code on failure.

Prev | Up | Next
snd_rawmidi_transmit_ack | Home | snd_rawmidi_new